
#lyrics_container {
	font-variant: small-caps;
	position: absolute;
	top: 0px;
	left: 0px;
	width:100%;
	height:100%;
	display: table;
	text-align: center;
	vertical-align: middle;
	/*pointer-events: none;*/
	z-index: 300;
}

#lyrics_output {
	color:#ffffff;
	font-family: 'Oddity-Bold';
	font-variant: small-caps;
	display: table-cell;
	vertical-align: middle;
	text-align: center;
	padding-left: 40px;
	padding-right: 40px;
}

@media (max-width: 600px) {
	div#lyrics_output {
		font-size:9vh;
	}
}

@media (min-width: 600px) and (max-width: 1000px) {
	div#lyrics_output {
		font-size:9vh;
	}
}

@media (min-width: 1000px) and (max-width: 1200px) {
	div#lyrics_output {
		font-size:10vh;
	}
}

@media (min-width: 1200px) and (max-width: 1600px) {
	div#lyrics_output {
		font-size:12vh;
	}
}

@media (min-width: 1600px) {
	div#lyrics_output {
		font-size:14vh;
	}
}

.notransition {
  -webkit-transition: none !important;
  -moz-transition: none !important;
  -o-transition: none !important;
  -ms-transition: none !important;
  transition: none !important;
}

.karaoke_string {
	transition: all 0.3s ease-in;
	line-height: 1.0;
}

.karaoke_word {
	display: inline-block;
	white-space: nowrap;
}

.karaoke_char {
	display: inline-block;
}

.karaoke_string .karaoke_word span.karaoke_char {
	opacity: 1.0;
}

.karaoke_string.in .karaoke_word span.karaoke_char {
	opacity: 0.0;
}

.karaoke_string.out .karaoke_word span.karaoke_char {
	opacity: 0.0;
}


.karaoke_string.speed_in .karaoke_word span.karaoke_char_speed_0 {
	transition: all 0.3s ease-in-out;
}

.karaoke_string.speed_in .karaoke_word span.karaoke_char_speed_1 {
	transition: all 0.5s ease-in-out;
}

.karaoke_string.speed_in .karaoke_word span.karaoke_char_speed_2 {
	transition: all 0.2s ease-in-out;
}

.karaoke_string.speed_out .karaoke_word span.karaoke_char_speed_0 {
	transition: all 1.0s ease-in-out;
}

.karaoke_string.speed_out .karaoke_word span.karaoke_char_speed_1 {
	transition: all 1.5s ease-in-out;
}

.karaoke_string.speed_out .karaoke_word span.karaoke_char_speed_2 {
	transition: all 0.5s ease-in-out;
}


.karaoke_string.in .karaoke_word span.karaoke_char_direction_0 {
	transform: translateY(80vh);
}

.karaoke_string.in .karaoke_word span.karaoke_char_direction_1 {
	transform: translateY(-80vh);
}

.karaoke_string.in .karaoke_word span.karaoke_char_direction_2 {
	transform: translateY(40vh);
}

.karaoke_string.in .karaoke_word span.karaoke_char_direction_3 {
	transform: translateY(-40vh);
}

.karaoke_string.out .karaoke_word span.karaoke_char_direction_0 {
	transform: translateY(-80vh);
}

.karaoke_string.out .karaoke_word span.karaoke_char_direction_1 {
	transform: translateY(80vh);
}

.karaoke_string.out .karaoke_word span.karaoke_char_direction_2 {
	transform: translateY(-40vh);
}

.karaoke_string.out .karaoke_word span.karaoke_char_direction_3 {
	transform: translateY(40vh);
}
